Get the auto mode setting for an organisation
GET
/api/v3/organizations/{organisation}/ai/auto-mode
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/auto-mode';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/auto-mode \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Responses
Section titled “Responses”The auto mode setting and the eligibility report
Media typeapplication/json
object
autoMode
required
One of:
object
enabled
required
boolean
orchestratorModel
required
Empty when the setting was saved off without an orchestrator.
string
group
required
object
revision
required
integer
roles
required
object
fast
required
Array<string>
standard
required
Array<string>
deep
required
Array<string>
watcherIntervalMinutes
required
integer
maxParallelTasks
integer
enforcement
required
string
autonomousDefault
required
boolean
updatedAt
required
string
updatedBy
string
eligible
required
One of:
object
orchestrator
required
One of:
object
modelId
required
string
resolvedId
required
string
eligible
required
boolean
reason
string
roles
required
object
fast
required
Array<object>
object
modelId
required
string
resolvedId
required
string
eligible
required
boolean
reason
string
standard
required
Array<object>
object
modelId
required
string
resolvedId
required
string
eligible
required
boolean
reason
string
deep
required
Array<object>
object
modelId
required
string
resolvedId
required
string
eligible
required
boolean
reason
string
usable
required
boolean
Example
{ "autoMode": { "enforcement": "default" }, "eligible": { "orchestrator": { "reason": "unknown" }, "roles": { "fast": [ { "reason": "unknown" } ], "standard": [ { "reason": "unknown" } ], "deep": [ { "reason": "unknown" } ] } }}The AI service is not available
